PHP 手冊
前一頁 |  | 下一頁

# ftp_cdup

(PHP 3>= 3.0.13, PHP 4 , PHP 5)

ftp_cdup -- Changes to the parent directory

## Description

bool ftp_cdup ( resource ftp_stream )

Changes to the parent directory.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. ftp_cdup() example

`<?php
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// change the current directory to html
ftp_chdir($conn_id, 'html');
echo ftp_pwd($conn_id); // /html
// return to the parent directory
if (ftp_cdup($conn_id)) {
echo "cdup successful\n";
} else {
echo "cdup not successful\n";
}
echo ftp_pwd($conn_id); // /
ftp_close($conn_id);
?>`

## 參考

ftp_chdir()
ftp_pwd()

前一頁 | 內容 | 下一頁
ftp_alloc | 上一層 | ftp_chdir